Bug 116407 - flex has byacc build dependency
Summary: flex has byacc build dependency
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: flex
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Richard Henderson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC2Target FC3Target
TreeView+ depends on / blocked
 
Reported: 2004-02-20 20:08 UTC by Thomas Gordon
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-24 11:56:42 UTC


Attachments (Terms of Use)

Description Thomas Gordon 2004-02-20 20:08:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031110 Firebird/0.7

Description of problem:
building of flex fails without yacc/byacc


Version-Release number of selected component (if applicable):
flex-2.5.4a-31

How reproducible:
Always

Steps to Reproduce:
1.rpmbuild --rebuild flex-2.5.4a-31.src.rpm
    

Actual Results:  yacc -d ./parse.y
make: yacc: Command not found
make: *** [parse.c] Error 127
error: Bad exit status from /var/tmp/rpm-tmp.9630 (%build)


Expected Results:  + exit 0

Additional info:

i'd just add BuildRequires: byacc to the spec to fix it.

p.s. was doing this on ppc

Comment 1 Ken Snider 2004-05-19 19:11:53 UTC
This problam also exists in RHEL 3.

Comment 2 Warren Togami 2004-08-24 11:56:42 UTC
This should be in rawhide soon.


Note You need to log in before you can comment on or make changes to this bug.